Asterisk.org: Developer Documentation (28 Oct 2009)

Wed Oct 28 15:49:37 2009

## Asterisk developer's documentation

# dundi_request Struct Reference

Collaboration diagram for dundi_request:

[legend]

## Data Fields

int | cbypass
unsigned long | crc32
char | dcontext [AST_MAX_EXTENSION]
struct dundi_entity_info * | dei
struct dundi_result * | dr
int | expiration
struct dundi_hint_metadata * | hmd
int | maxcount
struct dundi_request * | next
char | number [AST_MAX_EXTENSION]
int | pfds [2]
dundi_eid | query_eid
int | respcount
dundi_eid | root_eid
struct dundi_transaction * | trans

## Detailed Description

Definition at line 207 of file pbx_dundi.c.

## Field Documentation

int cbypass

Definition at line 218 of file pbx_dundi.c.

Referenced by dundi_discover(), and dundi_lookup_internal().

unsigned long crc32

Definition at line 220 of file pbx_dundi.c.

Referenced by avoid_crc32(), build_transactions(), cache_save(), cache_save_hint(), dundi_lookup_internal(), and register_request().

char dcontext[AST_MAX_EXTENSION]

Definition at line 208 of file pbx_dundi.c.

Referenced by append_transaction(), build_transactions(), cache_lookup(), cache_save(), cache_save_hint(), destroy_trans(), dundi_discover(), dundi_lookup_internal(), dundi_precache_internal(), dundi_prop_precache(), dundi_query(), dundi_query_eid_internal(), dundi_show_requests(), handle_command_response(), optimize_transactions(), precache_trans(), and register_request().

struct dundi_entity_info* dei`[read]`

Definition at line 213 of file pbx_dundi.c.

Referenced by dundi_query_eid_internal(), and handle_command_response().

struct dundi_result* dr`[read]`

Definition at line 212 of file pbx_dundi.c.

Referenced by cache_lookup_internal(), cache_save(), dundi_lookup_internal(), dundi_precache_internal(), dundi_prop_precache(), and handle_command_response().

int expiration

Definition at line 217 of file pbx_dundi.c.

Referenced by build_transactions(), dundi_lookup_internal(), dundi_precache_internal(), dundi_prop_precache(), and handle_command_response().

struct dundi_hint_metadata* hmd`[read]`

Definition at line 214 of file pbx_dundi.c.

Referenced by build_transactions(), cache_lookup(), cache_lookup_internal(), dundi_lookup_internal(), dundi_precache_internal(), dundi_prop_precache(), dundi_query_eid_internal(), and handle_command_response().

int maxcount

Definition at line 215 of file pbx_dundi.c.

Referenced by dundi_lookup_internal(), dundi_precache_internal(), dundi_prop_precache(), dundi_show_requests(), and handle_command_response().

struct dundi_request* next`[read]`

Definition at line 222 of file pbx_dundi.c.

Referenced by check_request(), dundi_show_requests(), register_request(), and unregister_request().

char number[AST_MAX_EXTENSION]

Definition at line 209 of file pbx_dundi.c.

Referenced by append_transaction(), cache_lookup(), cache_save(), destroy_trans(), dundi_discover(), dundi_lookup_internal(), dundi_precache_internal(), dundi_prop_precache(), dundi_show_requests(), handle_command_response(), precache_trans(), and register_request().

int pfds[2]

Definition at line 219 of file pbx_dundi.c.

Referenced by destroy_trans(), dundi_lookup_internal(), dundi_precache_internal(), dundi_prop_precache(), and dundi_query_eid_internal().

dundi_eid query_eid

Definition at line 210 of file pbx_dundi.c.

Referenced by append_transaction(), dundi_query(), dundi_query_eid_internal(), and handle_command_response().

int respcount

Definition at line 216 of file pbx_dundi.c.

Referenced by cache_lookup(), cache_lookup_internal(), cache_save(), dundi_lookup_internal(), dundi_prop_precache(), dundi_query_eid_internal(), dundi_show_requests(), and handle_command_response().

dundi_eid root_eid

Definition at line 211 of file pbx_dundi.c.

Referenced by cache_lookup(), cache_save(), cache_save_hint(), dundi_lookup_internal(), dundi_query_eid_internal(), dundi_show_requests(), and register_request().

struct dundi_transaction* trans`[read]`

Definition at line 221 of file pbx_dundi.c.

Referenced by abort_request(), append_transaction(), cancel_request(), destroy_trans(), discover_transactions(), dundi_lookup_internal(), dundi_precache_internal(), dundi_query_eid_internal(), optimize_transactions(), precache_transactions(), and query_transactions().

The documentation for this struct was generated from the following file:

- pbx_dundi.c